Page MenuHomePhabricator

Increase coverage of ORES extension
Closed, ResolvedPublic

Description

This task is done when coverage of ORES extension is above 60%, current value: 38%: https://doc.wikimedia.org/cover/extensions/ORES/index.html

Classes needing the most tests:

Api class also lacks tests but I'm planning to rewrite the class from scratch.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 4 2018, 12:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 402485 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Tests for FetchScoreJob

https://gerrit.wikimedia.org/r/402485

Ladsgroup updated the task description. (Show Details)Jan 6 2018, 6:47 AM

Change 402486 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Add tests for HashModelLookup

https://gerrit.wikimedia.org/r/402486

Ladsgroup updated the task description. (Show Details)Jan 6 2018, 7:01 AM

Change 402486 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Add tests for HashModelLookup

https://gerrit.wikimedia.org/r/402486

Change 402485 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Tests for FetchScoreJob

https://gerrit.wikimedia.org/r/402485

Ladsgroup updated the task description. (Show Details)Jan 6 2018, 8:31 AM
Ladsgroup moved this task from Review to Active on the Scoring-platform-team (Current) board.
awight claimed this task.Jan 8 2018, 3:32 PM

Change 402878 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Mostly cover ChangesListHooksHandler

https://gerrit.wikimedia.org/r/402878

Change 403068 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Cover some of Hooks

https://gerrit.wikimedia.org/r/403068

Change 403227 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Tests for WatchedItemQueryServiceExtension

https://gerrit.wikimedia.org/r/403227

Change 403234 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] [WIP] Add more WatchedItemQueryServiceExtension tests.

https://gerrit.wikimedia.org/r/403234

Change 402878 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Mostly cover ChangesListHooksHandler

https://gerrit.wikimedia.org/r/402878

Change 403068 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Mostly cover ORES\Hooks

https://gerrit.wikimedia.org/r/403068

Change 403227 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Tests for WatchedItemQueryServiceExtension

https://gerrit.wikimedia.org/r/403227

Change 403234 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Add more WatchedItemQueryServiceExtension tests.

https://gerrit.wikimedia.org/r/403234

Change 403663 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Namespace maintenance scripts so they're discoverable from tests

https://gerrit.wikimedia.org/r/403663

Change 403838 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Steal model fixtures for TestHelper; add dirty tricks

https://gerrit.wikimedia.org/r/403838

Change 403839 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Add a maintenance script test

https://gerrit.wikimedia.org/r/403839

Change 403870 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] [WIP] Tests for PopulateDatabase

https://gerrit.wikimedia.org/r/403870

Change 403663 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Namespace maintenance scripts so they're discoverable from tests

https://gerrit.wikimedia.org/r/403663

Change 403838 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Steal model fixtures for TestHelper; add dirty tricks

https://gerrit.wikimedia.org/r/403838

Change 403839 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Add a maintenance script test

https://gerrit.wikimedia.org/r/403839

Change 403870 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Tests for PopulateDatabase

https://gerrit.wikimedia.org/r/403870

Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM